/**
 *  Initialize Sticky Nav
 *
 *  A standalone module that provides a fluid solution for video embeds
 */
var stickyNav = (function ($) {

    var pub = {}; // public facing functions

    pub.init = function () {

      var header_sticky = $('.header--sticky');

      if(header_sticky.length < 1 ) {
        return pub;
      }

      header_sticky.each(function () {

        var sticky = new Waypoint.Sticky({
          element: $(this)[0]
        });

      });

    };

    return pub;

}(jQuery));
